|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QSizeGrip Class Reference

The QSizeGrip class provides a corner-grip for resizing a top-level window. More...

    #include <QSizeGrip>

Part of the QtGui module.

Inherits QWidget.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- QSizeGrip ( QWidget * parent )
- ~QSizeGrip ()
- virtual QSize sizeHint () const

- 182 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 11 public functions inherited from QPaintDevice

### Protected Functions

- virtual void mouseMoveEvent ( QMouseEvent * e )
- virtual void mousePressEvent ( QMouseEvent * e )
- virtual void paintEvent ( QPaintEvent * e )

- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 51 properties inherited from QWidget
- 1 property inherited from QObject
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

## Detailed Description

The QSizeGrip class provides a corner-grip for resizing a top-level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a widget tree and the user can use it to resize the top-level window. Generally, this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (e.g. you are using QMainWindow), then you don't need to use this widget explicitly.

On some platforms the sizegrip automatically hides itself when the window is shown full screen or maximised.

See also QStatusBar and QWidget::windowState().

## Member Function Documentation

### QSizeGrip::QSizeGrip ( QWidget * parent )

Constructs a resize corner as a child widget of parent.

### QSizeGrip::~QSizeGrip ()

Destroys the size grip.

### void QSizeGrip::mouseMoveEvent ( QMouseEvent * e ) `[virtual protected]`

Resizes the top-level widget containing this widget. The event is in e.

Reimplemented from QWidget.

### void QSizeGrip::mousePressEvent ( QMouseEvent * e ) `[virtual protected]`

Primes the resize operation. The event is in e.

Reimplemented from QWidget.

### void QSizeGrip::paintEvent ( QPaintEvent * e ) `[virtual protected]`

Paints the resize grip. Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The event is in e.

Reimplemented from QWidget.

### QSize QSizeGrip::sizeHint () const `[virtual]`

Returns the size grip's size hint; this is a small size.

Reimplemented from QWidget.